# set the include path for X, qt and KDE
INCLUDES = $(all_includes)

# these are the headers for your project
noinst_HEADERS = kdedcoptest.h

# let automoc handle all of the meta source files (moc)
METASOURCES = AUTO

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/kdedcoptest.pot

KDE_ICON = kdedcoptest

#########################################################################
# APPLICATION SECTION
#########################################################################
# this is the program that gets installed.  it's name is used for all
# of the other Makefile.am variables
bin_PROGRAMS = kdedcoptest

# the application source, library search path, and link libraries
kdedcoptest_SOURCES = main.cpp kdedcoptest.cpp kdedcoptest_iface.skel mainclass.cpp
kdedcoptest_LDFLAGS = $(KDE_RPATH) $(all_libraries)
kdedcoptest_LDADD = $(LIB_KDEUI)

# this is where the desktop file will go 
shelldesktopdir   = $(kde_appsdir)/Utilities
shelldesktop_DATA = kdedcoptest.desktop

# this is where the shell's XML-GUI resource file goes
shellrcdir   = $(kde_datadir)/kdedcoptest
shellrc_DATA = kdedcoptestui.rc

h_inc.h: gen.py
	python gen.py
